db-torque-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "zhaoxin" <zhaoxin...@hotmail.com>
Subject dose torque support postgres????
Date Sat, 04 Oct 2003 14:06:09 GMT
Hello fellows,

I cannot work it out when i try to use torque to update Postgres database
records.  I got a sql error said: "Parse error near '.' ". The java codes is
the following:

                FaxItem item = FaxItemPeer.retrieveByPK(itemIds[i]);
                item.setFolderId(folderId);
                FaxItemPeer.doUpdate(item, conn);

I dont know what the reason is. So i read the log of the postgres. I guess
Torque had submit a SQL command like the following:

                UPDATE  table_name SET table_name.column_name = 'xxxxx'
WHERE  column_name='yyyyyy'

I execute this command directly by the postgres db console, and i got the
same error! but i succeed if i try that:

                UPDATE  table_name SET column_name = 'xxxxx' WHERE
column_name='yyyyyy'

Postgres dosn't support the SQL command like the syntax?? If not, why torque
generates and submits such wrong syntax of command to postgres??

Will be high appreciated if any one can help me. Thanks in advance!

---------------------------------------------------------------------
To unsubscribe, e-mail: torque-user-unsubscribe@db.apache.org
For additional commands, e-mail: torque-user-help@db.apache.org


Mime
View raw message